### Method

# EDataCal DataCalView notify_components_added_1

since: 3.4

#### Declaration [src]

    void
    e_data_cal_view_notify_components_added_1 (
      EDataCalView* view,
      ECalComponent* component
    )

#### Description [src]

Notifies all the view listeners of the addition of a single object.

Uses the `EDataCalView`‘s fields-of-interest to filter out unwanted information from iCalendar strings sent over the bus.

Available since: 3.4

#### Parameters

`component`

  Type: `ECalComponent`

  The `ECalComponent` that has been added.

  The data is owned by the caller of the method.